Name:           fparser
Version:        4.4.3
Release:        1%{?dist}
Summary:        Function parser library for C++

License:        LGPLv3
URL:            http://warp.povusers.org/FunctionParser/
Source0:        http://warp.povusers.org/FunctionParser/fparser4.4.3.zip
Patch0:         fparser-4.4.3-cmake.patch
BuildRequires:  cmake, mpfr-devel, gpm-devel

%description
This C++ library offers a class which can be used to parse and evaluate a
mathematical function from a string (which might be for example requested
from the user). The syntax of the function string is similar to
mathematical expressions written in C/C++.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       cmake, mpfr-devel, gpm-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1 -b .cmake


%build
mkdir build
pushd build
%cmake \
  -DCMAKE_BUILD_TYPE=Release \
  -DCMAKE_SKIP_RPATH=ON \
  ..

make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc docs/gpl.txt docs/lgpl.txt
%{_libdir}/*.so.*

%files devel
%doc docs/fparser.html docs/style.css
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/cmake/Modules/*

%changelog
* Wed Apr 18 2012 Tim Niemueller <tim@niemueller.de> - 4.4.3-1
- Initial package

